---
description: "This endpoint lets you retrieve real-time information about a conversion between two supported currencies, including the rate before and after the Noah Fee is applied."
title: "Prices"
---

# Prices

> This endpoint lets you retrieve real-time information about a conversion between two supported currencies, including the rate before and after the Noah Fee is applied.

```http
GET /prices
```

- `https://api.sandbox.noah.com/v1/prices` — V1 Sandbox Server
- `https://api.noah.com/v1/prices` — V1 Production Server

## Authentication

- `X-Api-Key`: Your Noah API key. Required on all requests. See [API Keys](/api-concepts/authentication/api).
- `Api-Signature`: Digitally signed JWT used to verify request authenticity. Optional in sandbox when your API key has no associated signing public key; required in production for all requests. If sent, the signature is always validated. See [Request Signing](/api-concepts/authentication/signing).

## Query parameters

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `SourceCurrency` | string | Yes | The source currency to convert from. A scalar representing a financial asset code. Suitable for use in cases where exactly one of the currency codes must be provided. |
| `DestinationCurrency` | string | Yes | The destination currency to convert to. (prod/sandbox): * BTC/BTC_TEST * USDC/USDC_TEST A scalar representing a financial asset code. Suitable for use in cases where exactly one of the currency codes must be provided. |
| `SourceAmount` | string | No | Only one of `SourceAmount` or `DestinationAmount` can be defined. When this amount is specified, the response `DestinationAmount` field indicates how much you will get for this, after the deduction of any fees. (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `DestinationAmount` | string | No | Only one of `SourceAmount` or `DestinationAmount` can be defined. When this amount is specified, the response `SourceAmount` field indicates how much you will need to sell to get this and cover any fees. (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `PaymentMethodCategory` | string | No | Categorizes one or more `PaymentMethodType`s into broader groups. Useful for listing channels, displaying payment methods: * Bank * Card * Identifier |
| `Country` | string | No | ISO 3166-1 alpha-2 country code. |

## Responses

### 200 — Price estimate successful. Response includes the rate of currency exchange before and after fees are subtracted.

#### `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `Items` | object[] | Yes |  |
| `Items[].PaymentMethodCategory` | string | Yes | Categorizes one or more `PaymentMethodType`s into broader groups. Useful for listing channels, displaying payment methods: * Bank * Card * Identifier |
| `Items[].Rate` | string | Yes | Rate used to exchange currencies (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `Items[].UpdatedAt` | string (date-time) | Yes |  |
| `Items[].TotalFee` | string | No | The total fee that will be charged for using the specific channel, always specified in the same currency as the requested fiat segment of the transaction. (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `Items[].BusinessFee` | string | No | The fee applied on behalf of the business to customer transactions, always specified in the same currency as the requested fiat segment of the transaction. (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `Items[].SourceAmount` | string | No | (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `Items[].DestinationAmount` | string | No | (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |
| `Items[].CryptoFeeBreakdown` | object[] | No | Total fee amount breakdown in cryptocurrency. |
| `Items[].CryptoFeeBreakdown[].Type` | string | Yes | What fee the items refers to: * ChannelFee * BusinessFee |
| `Items[].CryptoFeeBreakdown[].Amount` | string | Yes | (length 1-38; pattern `^[+]?([.]\d+\|\d+[.]?\d*)$`) |

### 400 — Bad request

### 401 — Client is not authorized to perform this action

### 500 — Internal server error

Error responses share one `Error` envelope across the whole API. See https://docs.noah.com/api-concepts/errors.md for its fields, the `Type` values, and the field-level validation details in `RequestExtension` and `DenyExtension`.

## See also

- Rendered reference: https://docs.noah.com/api-reference/prices
- OpenAPI document: https://docs.noah.com/files/oas-schema.generated.json
